diff --git a/templates/index.html b/templates/index.html
index b3ca93c..ded0478 100644
--- a/templates/index.html
+++ b/templates/index.html
@@ -27,8 +27,17 @@
       <h2>New to PostgreSQL?</h2>
       <div class="text">
         <p>
-          PostgreSQL is a powerful, open source object-relational database system with over 35 years of active development
-          that has earned it a strong reputation for reliability, feature robustness, and performance.
+          PostgreSQL is a powerful, extensible, open source relational database
+          with over 35 years of active development. PostgreSQL has earned a
+          strong reputation for reliability, feature robustness, and
+          performance.
+        </p>
+        <p>
+          PostgreSQL can be used for a wide variety of use-cases, including
+          transactional and analytical workloads. PostgreSQL extensions add more
+          functionality to PostgreSQL, which are used to support geospatial,
+          time series, AI and vector queries, full-text search,
+          distributed systems, and many more workloads.
         </p>
         <p>
           There is a wealth of information to be found describing how to <a href="/download/">install</a> and <a href="/docs/">use</a> PostgreSQL through the <a href="/docs/">official documentation</a>.
